---
references:
- id: AzizianExpressive2021
  accessed:
    - year: 2023
      month: 3
      day: 21
  author:
    - family: Azizian
      given: Waïss
    - family: Lelarge
      given: Marc
  citation-key: AzizianExpressive2021
  DOI: 10.48550/arXiv.2006.15646
  issued:
    - year: 2021
      month: 6
      day: 6
  number: arXiv:2006.15646
  publisher: arXiv
  title: Expressive Power of Invariant and Equivariant Graph Neural Networks
  type: article
  URL: http://arxiv.org/abs/2006.15646

- id: BloemReddyProbabilistic2020
  accessed:
    - year: 2022
      month: 12
      day: 8
  author:
    - family: Bloem-Reddy
      given: Benjamin
    - family: Teh
      given: Yee Whye
  citation-key: BloemReddyProbabilistic2020
  DOI: 10.48550/arXiv.1901.06082
  issued:
    - year: 2020
      month: 9
      day: 16
  number: arXiv:1901.06082
  publisher: arXiv
  title: Probabilistic symmetries and invariant neural networks
  type: article
  URL: http://arxiv.org/abs/1901.06082

- id: EdwardsNeural2017
  accessed:
    - year: 2019
      month: 9
      day: 23
  author:
    - family: Edwards
      given: Harrison
    - family: Storkey
      given: Amos
  citation-key: EdwardsNeural2017
  container-title: Proceedings of ICLR
  DOI: 10.48550/arXiv.1606.02185
  event-title: ICLR
  issued:
    - year: 2017
  language: en
  title: Towards a Neural Statistician
  type: paper-conference
  URL: https://arxiv.org/abs/1606.02185v2

- id: HolderriethEquivariant2021
  accessed:
    - year: 2023
      month: 6
      day: 2
  author:
    - family: Holderrieth
      given: Peter
    - family: Hutchinson
      given: Michael J.
    - family: Teh
      given: Yee Whye
  citation-key: HolderriethEquivariant2021
  container-title: Proceedings of the 38th International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2021
      month: 7
      day: 1
  language: en
  page: 4297-4307
  publisher: PMLR
  title: >-
    Equivariant Learning of Stochastic Fields: Gaussian Processes and Steerable
    Conditional Neural Processes
  type: paper-conference
  URL: http://arxiv.org/abs/2011.12916

- id: MaronUniversality2019
  accessed:
    - year: 2023
      month: 3
      day: 21
  author:
    - family: Maron
      given: Haggai
    - family: Fetaya
      given: Ethan
    - family: Segol
      given: Nimrod
    - family: Lipman
      given: Yaron
  citation-key: MaronUniversality2019
  container-title: Proceedings of the 36th International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2019
      month: 5
      day: 24
  language: en
  page: 4363-4371
  publisher: PMLR
  title: On the Universality of Invariant Networks
  type: paper-conference
  URL: https://proceedings.mlr.press/v97/maron19a.html

- id: MurphyJanossy2022
  accessed:
    - year: 2022
      month: 11
      day: 24
  author:
    - family: Murphy
      given: Ryan L.
    - family: Srinivasan
      given: Balasubramaniam
    - family: Rao
      given: Vinayak
    - family: Ribeiro
      given: Bruno
  citation-key: MurphyJanossy2022
  event-title: International Conference on Learning Representations
  issued:
    - year: 2022
      month: 2
      day: 10
  language: en
  title: >-
    Janossy Pooling: Learning Deep Permutation-Invariant Functions for
    Variable-Size Inputs
  type: paper-conference
  URL: https://openreview.net/forum?id=BJluy2RcFm

- id: NavonEquivariant2023
  accessed:
    - year: 2023
      month: 7
      day: 2
  author:
    - family: Navon
      given: Aviv
    - family: Shamsian
      given: Aviv
    - family: Achituve
      given: Idan
    - family: Fetaya
      given: Ethan
    - family: Chechik
      given: Gal
    - family: Maron
      given: Haggai
  citation-key: NavonEquivariant2023
  issued:
    - year: 2023
      month: 5
      day: 31
  language: en
  number: arXiv:2301.12780
  publisher: arXiv
  title: Equivariant Architectures for Learning in Deep Weight Spaces
  type: article
  URL: http://arxiv.org/abs/2301.12780

- id: PevnyApproximation2019
  accessed:
    - year: 2022
      month: 12
      day: 8
  author:
    - family: Pevny
      given: Tomas
    - family: Kovarik
      given: Vojtech
  citation-key: PevnyApproximation2019
  DOI: 10.48550/arXiv.1906.00764
  issued:
    - year: 2019
      month: 6
      day: 3
  number: arXiv:1906.00764
  publisher: arXiv
  title: >-
    Approximation capability of neural networks on spaces of probability
    measures and tree-structured domains
  type: article
  URL: http://arxiv.org/abs/1906.00764

- id: PevnyDiscriminative2017
  accessed:
    - year: 2022
      month: 12
      day: 8
  author:
    - family: Pevny
      given: Tomas
    - family: Somol
      given: Petr
  citation-key: PevnyDiscriminative2017
  DOI: 10.48550/arXiv.1703.02868
  issued:
    - year: 2017
      month: 3
      day: 7
  number: arXiv:1703.02868
  publisher: arXiv
  title: Discriminative models for multi-instance problems with tree-structure
  type: article
  URL: http://arxiv.org/abs/1703.02868

- id: PevnyUsing2017
  accessed:
    - year: 2022
      month: 12
      day: 8
  author:
    - family: Pevny
      given: Tomas
    - family: Somol
      given: Petr
  citation-key: PevnyUsing2017
  DOI: 10.48550/arXiv.1609.07257
  issued:
    - year: 2017
      month: 3
      day: 7
  number: arXiv:1609.07257
  publisher: arXiv
  title: Using Neural Network Formalism to Solve Multiple-Instance Problems
  type: article
  URL: http://arxiv.org/abs/1609.07257

- id: SainsburyDaleFast2022
  accessed:
    - year: 2022
      month: 11
      day: 24
  author:
    - family: Sainsbury-Dale
      given: Matthew
    - family: Zammit-Mangion
      given: Andrew
    - family: Huser
      given: Raphaël
  citation-key: SainsburyDaleFast2022
  DOI: 10.48550/arXiv.2208.12942
  issued:
    - year: 2022
      month: 8
      day: 27
  number: arXiv:2208.12942
  publisher: arXiv
  title: >-
    Fast Optimal Estimation with Intractable Models using Permutation-Invariant
    Neural Networks
  type: article
  URL: http://arxiv.org/abs/2208.12942

- id: VaswaniAttention2017
  accessed:
    - year: 2017
      month: 9
      day: 6
  author:
    - family: Vaswani
      given: Ashish
    - family: Shazeer
      given: Noam
    - family: Parmar
      given: Niki
    - family: Uszkoreit
      given: Jakob
    - family: Jones
      given: Llion
    - family: Gomez
      given: Aidan N.
    - family: Kaiser
      given: Lukasz
    - family: Polosukhin
      given: Illia
  citation-key: VaswaniAttention2017
  container-title: arXiv:1706.03762 [cs]
  issued:
    - year: 2017
      month: 6
      day: 12
  title: Attention Is All You Need
  type: article-journal
  URL: http://arxiv.org/abs/1706.03762

- id: WagstaffLimitations2019
  accessed:
    - year: 2023
      month: 3
      day: 21
  author:
    - family: Wagstaff
      given: Edward
    - family: Fuchs
      given: Fabian
    - family: Engelcke
      given: Martin
    - family: Posner
      given: Ingmar
    - family: Osborne
      given: Michael A.
  citation-key: WagstaffLimitations2019
  container-title: Proceedings of the 36th International Conference on Machine Learning
  DOI: 10.48550/arXiv.1901.09006
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2019
      month: 5
      day: 24
  language: en
  page: 6487-6494
  publisher: PMLR
  title: On the Limitations of Representing Functions on Sets
  type: paper-conference
  URL: http://arxiv.org/abs/1901.09006

- id: YarotskyUniversal2022
  accessed:
    - year: 2023
      month: 3
      day: 21
  author:
    - family: Yarotsky
      given: Dmitry
  citation-key: YarotskyUniversal2022
  container-title: Constructive Approximation
  container-title-short: Constr Approx
  DOI: 10.1007/s00365-021-09546-1
  ISSN: 1432-0940
  issue: '1'
  issued:
    - year: 2022
      month: 2
      day: 1
  language: en
  page: 407-474
  title: Universal Approximations of Invariant Maps by Neural Networks
  type: article-journal
  volume: '55'

- id: ZaheerDeep2017
  accessed:
    - year: 2022
      month: 11
      day: 24
  author:
    - family: Zaheer
      given: Manzil
    - family: Kottur
      given: Satwik
    - family: Ravanbakhsh
      given: Siamak
    - family: Poczos
      given: Barnabas
    - family: Salakhutdinov
      given: Russ R
    - family: Smola
      given: Alexander J
  citation-key: ZaheerDeep2017
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2017
  publisher: Curran Associates, Inc.
  title: Deep Sets
  type: paper-conference
  URL: http://arxiv.org/abs/1703.06114
  volume: '30'
...
